com.tibbo.aggregate.common.datatable.converter

## Class FCSimpleShort

- java.lang.Object
- - com.tibbo.aggregate.common.datatable.converter.AbstractFormatConverter<T>
  - - com.tibbo.aggregate.common.datatable.converter.SimpleFormatConverter
    - - com.tibbo.aggregate.common.datatable.converter.FCSimpleShort

- All Implemented Interfaces:
    FormatConverter

      public class FCSimpleShort
      extends SimpleFormatConverter

- - ### Field Summary

    - ### Fields inherited from class com.tibbo.aggregate.common.datatable.converter.AbstractFormatConverter

      `FIELDS_TO_SKIP, VF_IS_NULL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FCSimpleShort()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `convertToTable(java.lang.Object value, TableFormat format)`
    `FieldFormat` | `createFieldFormat(java.lang.String name)`
    `java.lang.Object` | `simpleToBean(java.lang.Object value)`

    - ### Methods inherited from class com.tibbo.aggregate.common.datatable.converter.SimpleFormatConverter

      `convertToBean`

    - ### Methods inherited from class com.tibbo.aggregate.common.datatable.converter.AbstractFormatConverter

      `addFiledToNullableFormat, clone, convertToTable, deriveNullable, getFormat, getValueClass, instantiate, removeFiledFromNullableFormat, setValueClass, simpleToTable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FCSimpleShort

          public FCSimpleShort()

  - ### Method Detail

    - #### createFieldFormat

          public FieldFormat createFieldFormat(java.lang.String name)

      Specified by:
        `createFieldFormat` in interface `FormatConverter`
      Overrides:
        `createFieldFormat` in class `AbstractFormatConverter`

    - #### simpleToBean

          public java.lang.Object simpleToBean(java.lang.Object value)

      Specified by:
        `simpleToBean` in class `SimpleFormatConverter`

    - #### convertToTable

          public java.lang.Object convertToTable(java.lang.Object value,
                                                 TableFormat format)